#!/sbin/sh

# generated by alien
PATH=/usr/sun/bin:/bin:/usr/sbin:$PATH
ARCH=i386
PKGINST=cordaoe
PKGSAV=/var/lib/dpkg/alien/cordaoe
PKG=cordaoe
EXT=
BASEDIR=/
INST_DATADIR=/
SUN_PERSONALITY=1
export SUN_PERSONALITY
cat /var/lib/dpkg/status | grep "^Package:\s* cordaoe" >/dev/null && UPDATE=yes

installf() {
	_op=$1; _class=$2; _pkginst=$3; _path=$4; _type=$5; _major=$6; _minor=$7
	_mode=$8; _owner=$9; shift; _group=$9
	if test "x$_op" = "x-f"; then
		_pkginst=$_class
		_pipefile=/tmp/$_pkginst.installf
		echo "Applying $_pkginst.installf"
		test -f $_pipefile && . $_pipefile
		rm -f $_pipefile
		return 0
	else
		_pipefile=/tmp/$_pkginst.installf
	fi
	if test "x$_op" != "x-c"; then
		echo "unsupported operation: $_op"; return 1
	fi
	if test "x$_path" = "x-"; then
		read _dstsrc _type
		_dst=`echo $_dstsrc | cut -d= -f1`
		_src=`echo $_dstsrc | cut -d= -f2`
		test "x$_type" = "xs" && _type="-s"
		test "x$_type" = "xl" && _type=""
		if test "x$_type" = "xs" -a "x$_type" != "xl"; then
			echo "unsupported type: $_type"; return 1
		fi
		test x$_dst = x -o x$_src = x && return 1
		echo "rm -f $_dst; ln $_type $_src $_dst" >> $_pipefile
		return 0
	fi
	echo "rm -f $_path; mknod $_path $_type $_major $_minor; chown $_owner $_path; chgrp $_group $_path; chmod $_mode $_path" >> $_pipefile
	return 0
}
removef() {
	_op=$1; _pkginst=$2; _path=$3
	test "x$_op" = "x-f" && return 0
	echo $_path
	return 0
}

# end of alien


#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#ident	"@(#)r.awk	1.6	06/02/27 SMI"
#

error=no
while read dest
do
	if [ -d $dest ]
	then
		echo "$dest"
		rmdir $dest || error=yes
	elif [ -f $dest ]
	then
		echo "Modifying $dest"

		# Strip PKG_INSTALL_ROOT from dest if installation is to an
		# alternate root.

		if [ -n "$PKG_INSTALL_ROOT" -a "$PKG_INSTALL_ROOT" != "/" ]; then
			client_dest=`echo $dest | \
				/usr/bin/nawk -v rootdir="$PKG_INSTALL_ROOT" '{
				    { print substr($0, length(rootdir)+1)} }'`
			savepath=$PKGSAV/awk${client_dest}
		else
			savepath=$PKGSAV/awk${dest}
		fi

		/usr/sadm/install/scripts/cmdexec /usr/bin/awk remove $savepath $dest ||
			error=yes
	else
		[ -r $dest ] && echo "$dest"
		rm -f $dest || error=yes
	fi
done
[ "$error" = yes ] &&
	exit 2
exit 0
